﻿/* 示範多重介面之實作
 * skj  5/8/2007
 */

using System;

namespace MultiInterface
{
    class Program
    {
        static void Main(string[] args)
        {
            SeaPlane sp = new SeaPlane();
            sp.Sail();
            sp.Fly();
        }
    }

    interface Plane
    {
        void Fly();
    }

    interface Ship
    {
        void Sail();
    }

    public class SeaPlane : Plane, Ship
    {
        public SeaPlane()
        {
            Console.WriteLine("建立水上飛機");
        }
        public void Sail()
        {
            Console.WriteLine("水上滑行");
        }
        public void Fly()
        {
            Console.WriteLine("空中飛行");
        }
    }

}
