﻿/*
 * 二十一點遊戲主程式, v0.1
 * 使用陣列, 繼承
 * 3/15/2009
 */

using System;
using System.Diagnostics;

namespace BlackJack_0_1
{
    class Program
    {
        static void Main(string[] args)
        {
            Debug.Assert(BlackJackTest.Card_OK(),
                "Card test failed");
            Debug.Assert(BlackJackTest.Deck_OK(),
                "Deck test failed");
            Debug.Assert(BlackJackTest.DeckRandom_OK(),
                   "Deck random mode test failed");
            Debug.Assert(BlackJackTest.Scenario_1_OK(),
                "Scenario 1 test failed");
            Debug.Assert(BlackJackTest.Scenario_2_OK(),
                "Scenario 2 test failed");
            Debug.Assert(BlackJackTest.Scenario_3_OK(),
                "Scenario 3 test failed");
            Debug.Assert(BlackJackTest.Scenario_4_OK(),
                "Scenario 4 test failed");
            Debug.Assert(BlackJackTest.Scenario_5_OK(),
                "Scenario 5 test failed");
            Debug.Assert(BlackJackTest.Scenario_6_OK(),
                "Scenario 6 test failed");
            Debug.Assert(BlackJackTest.Game_OK(),
                "Game test failed");
            Console.WriteLine();
            Console.WriteLine("21點遊戲開始");
            Game game = new Game();
            game.Run();
        }
    }
}
