﻿/* 
 * 示範繼承的使用
 * 10/3/2008
 */

using System;

namespace UsingInheritance
{
    class Program
    {
        static void Main(string[] args)
        {
            AdvancedCalculator calculator = new 
		        AdvancedCalculator();
            int op = 0;
            int operand1 = 0;
            int operand2 = 0;
            int result;
            double angle = 0.0;
            double functionValue;
            do
            {
                Console.Write(
                    "指定運算: 0. 結束; 1. 加; 2. 減; 3. 乘; 4. 除; " 
  		                + " \n 5. 正弦函數; 6. 餘弦函數; 7. 正切函數: ");
                op = int.Parse(Console.ReadLine());
                if (op == 0) break;
                if (op > 7) continue;
                if (op < 5)
                {
                    Console.Write("輸入第一個數字: ");
                    operand1 = int.Parse(Console.ReadLine());
                    Console.Write("輸入第二個數字: ");
                    operand2 = int.Parse(Console.ReadLine());
                }
                else
                {
                    Console.Write("輸入角度(度): ");
                    angle = double.Parse(Console.ReadLine());
                }
                switch (op)
                {
	                case 1:
                        result = calculator.Add(operand1,
          	                operand2);
                        Console.WriteLine("{0} + {1} = {2} ",
          	                operand1, operand2, result);
                        break;
                    case 2:
                        result = calculator.Subtract(operand1,
          	                operand2);
                        Console.WriteLine("{0} - {1} = {2} ",
          	                operand1, operand2, result);
                        break;
                    case 3:
                        result = calculator.Multiply(operand1,
          	                operand2);
		                Console.WriteLine("{0} * {1} = {2} ",
                            operand1, operand2, result);
                        break;
                    case 4:
                        result = calculator.Divide(operand1,
          	                operand2);
                        Console.WriteLine("{0} / {1} = {2} ",
          	                operand1, operand2, result);
                        break; 
                    case 5:
                        functionValue = 		
			                calculator.GetSine(angle);
                        Console.WriteLine(
			                "Sine of {0} (deg) = {1}",
          	                angle, functionValue);
                        break;
	                case 6:
                        functionValue = 			
			                calculator.GetCosine(angle);
                        Console.WriteLine(
			            "Cosine of {0} (deg) = {1}",
          	                angle, functionValue);
                        break;
                    case 7:
                        functionValue = 		
			                calculator.GetTangent(angle);
                        Console.WriteLine(
			                "Tangent of {0} (deg) = {1}",
          	                angle, functionValue);
                        break;
                    default:
                        Console.WriteLine(
                        "Should not see this message. Debug!!!");
                        break;
                }
            } while (true);
        }
    }
}
