﻿/*
 * 示範介面之應用
 * 3/16/2009
 */

using System;

namespace UsingInterface
{
    class Program
    {
        static void Main(string[] args)
        {
            double a = 5.0;
            Square sq = new Square(a);
            Console.WriteLine("正方形sq之面積為" + sq.Area());
            Circle c = new Circle(a);
            Console.WriteLine("圓形c之面積為" + c.Area());
        }
    }

    interface Shape
    {
        double Area();
    }

    public class Square : Shape
    {
        double a;
        public Square(double a)
        {
            this.a = a;
        }
        public double Area()
        {
            return a * a;
        }
    }

    public class Circle : Shape
    {
        double r;
        public Circle(double r)
        {
            this.r = r;
        }
        public double Area()
        {
            return Math.PI * r * r;
        }
    }

}
